kettle连接MYSQL数据库问题

图片说明图片说明

mysql的驱动放到kettle安装文件中的lib下,连不上一直报错,折腾一下午了
求大佬来看看呀!

2个回答

mysql的驱动版本是8.0的,你mysql的数据库是8.0的吗?数据库版本跟驱动版本对应不上的话,是连接不了的

weixin_41763995
_鹿慕溪水 回复克己: https://blog.csdn.net/zougen/article/details/84975410看这个,8.0以上的mysql驱动包不在支持org.gjt.mm.mysql.Driver这个包名,而kettle是默认使用这个包名的
4 个月之前 回复
free_pig_
克己 回复_鹿慕溪水: 看过了,,,不行
4 个月之前 回复
weixin_41763995
_鹿慕溪水 看错误信息,是找不到驱动呢,参考一下这个帖子吧https://blog.csdn.net/qq_36698956/article/details/80741696
4 个月之前 回复
free_pig_
克己 我电脑mysql版本就是8.0.16的
4 个月之前 回复

我之前跟你一样的情况,不是高版本的JDBC就好,你要选用和你mysql数据库对应的包,我之前mysql数据库5.7版本,也先试了8.0的不行,后来用了5.1.34的就可以了

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问